Supporter Errors in 3.0 and Latest BP

Im having issues with the latest Supporters release on WP 3.0 and BP 1.2.4 , whenever I create a site, update a post, a a few other actions I get this error:

Warning: Missing argument 3 for activate_plugins(), called in /var/www/wp-content/mu-plugins/supporter-plugins.php on line 169 and defined in /var/www/wp-admin/includes/plugin.php on line 570

Warning: Cannot modify header information - headers already sent by (output started at /var/www/wp-admin/includes/plugin.php:570) in /var/www/wp-includes/pluggable.php on line 890

Anyone else see this?